Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.core.helper
Class Util

    java.lang.Object
      org.maltparser.core.helper.Util

    public class Util

extends Object

Author:
  Johan Hall

Constructor Summary
`Util()`

Method Summary
`static double` | `atof(String s)`
`static int` | `atoi(String s)`
`static void` | `closeQuietly(Closeable c)`
`static void` | `copyfile(String source, String destination)`
`static double[]` | `copyOf(double[] original, int newLength)`
`static int[]` | `copyOf(int[] original, int newLength)`
`static void` | `endTicer(org.apache.log4j.Logger logger, long startTime, int nTicxRow, int inTic, int subject)`
`static boolean` | `equals(double[] a, double[] a2)`
`static URL` | `findURL(String fileString)` Search for a file according the following priority: The local file system Specified as an URL (starting with http:, file:, ftp: or jar: MaltParser distribution file (malt.jar) MaltParser plugins If the file string is found, an URL object is returned, otherwise null
`static URL` | `findURLinJars(String fileString)`
`static int` | `simpleTicer(org.apache.log4j.Logger logger, long startTime, int nTicxRow, int inTic, int subject)`
`static void` | `startTicer(org.apache.log4j.Logger logger, long startTime, int nTicxRow, int subject)`
`static String` | `xmlEscape(String str)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Util

    public Util()

Method Detail

### xmlEscape

    public static String xmlEscape(String str)

### findURL

    public static URL findURL(String fileString)
                       throws MaltChainedException

  Search for a file according the following priority:
  1. The local file system
  2. Specified as an URL (starting with http:, file:, ftp: or jar:
  3. MaltParser distribution file (malt.jar)
  4. MaltParser plugins
  If the file string is found, an URL object is returned, otherwise null

  Parameters:
    `fileString` - the file string to convert into an URL.
  Returns:
    an URL object, if the file string is found, otherwise null
  Throws:
    `MaltChainedException`

### findURLinJars

    public static URL findURLinJars(String fileString)
                             throws MaltChainedException

  Throws:
    `MaltChainedException`

### simpleTicer

    public static int simpleTicer(org.apache.log4j.Logger logger,
                                  long startTime,
                                  int nTicxRow,
                                  int inTic,
                                  int subject)

### startTicer

    public static void startTicer(org.apache.log4j.Logger logger,
                                  long startTime,
                                  int nTicxRow,
                                  int subject)

### endTicer

    public static void endTicer(org.apache.log4j.Logger logger,
                                long startTime,
                                int nTicxRow,
                                int inTic,
                                int subject)

### copyfile

    public static void copyfile(String source,
                                String destination)
                         throws MaltChainedException

  Throws:
    `MaltChainedException`

### atof

    public static double atof(String s)

  Parameters:
    `s` - the string to parse for the double value
  Throws:
    `IllegalArgumentException` - if s is empty or represents NaN or Infinity
    `NumberFormatException` - see `Double.parseDouble(String)`

### atoi

    public static int atoi(String s)
                    throws NumberFormatException

  Parameters:
    `s` - the string to parse for the integer value
  Throws:
    `IllegalArgumentException` - if s is empty
    `NumberFormatException` - see `Integer.parseInt(String)`

### closeQuietly

    public static void closeQuietly(Closeable c)

### copyOf

    public static double[] copyOf(double[] original,
                                  int newLength)

### copyOf

    public static int[] copyOf(int[] original,
                               int newLength)

### equals

    public static boolean equals(double[] a,
                                 double[] a2)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2011 Johan Hall, Jens Nilsson and Joakim Nivre.